gtkmm 3.13.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Gtk::RecentManager::Data Class Reference

Meta-data passed to add_item(). More...

`#include <gtkmm/recentmanager.h>`

## Public Attributes
Glib::ustring | display_name
Glib::ustring | description
Glib::ustring | mime_type
Glib::ustring | app_name
Glib::ustring | app_exec
std::vector< Glib::ustring > | groups
bool | is_private

## Detailed Description

Meta-data passed to add_item().

You should use RecentManager::Data if you want to control the meta-data associated to an entry of the recently used files list when you are adding a new file to it.

- display_name: the string to be used when displaying the file inside a RecentChooser
- description: a user readable description of the file
- mime_type: the mime type of the file
- app_name: the name of the application that is registering the file
- app_exec: the command line that should be used when launching the file
- groups: the list of group names to which the file belongs to
- is_private: whether the file should be displayed only by the applications that have registered it

## Member Data Documentation

Glib::ustring Gtk::RecentManager::Data::app_exec

Glib::ustring Gtk::RecentManager::Data::app_name

Glib::ustring Gtk::RecentManager::Data::description

Glib::ustring Gtk::RecentManager::Data::display_name

std::vector<Glib::ustring> Gtk::RecentManager::Data::groups

bool Gtk::RecentManager::Data::is_private

Glib::ustring Gtk::RecentManager::Data::mime_type